# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- default
  - default

- Defined in src/ui/confirm-ui-handler.ts:8

##### Index

### Constructors

constructor

### Properties

active
blockInput
config
cursor
defaultTextStyle
fullCursor
mode
optionSelectBg
optionSelectContainer
optionSelectIcons
optionSelectText
optionSelectTextContainer
scale
scrollCursor
textContent
unskippedIndices
windowWidth

### Methods

clear
destroy
eraseCursor
getCursor
getOptionsWithScroll
getTextColor
getUi
getUnskippedIndices
getWindowHeight
getWindowWidth
processInput
setCursor
setMouseCursorStyle
setup
setupOptions
show
unblockInput

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/confirm-ui-handler.ts:14

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` blockInput

blockInput: boolean

Inherited from default.blockInput

- Defined in src/ui/abstact-option-select-ui-handler.ts:45

### `Protected` config

config: null | OptionSelectConfig

Inherited from default.config

- Defined in src/ui/abstact-option-select-ui-handler.ts:43

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` defaultTextStyle

defaultTextStyle: TextStyle = TextStyle.WINDOW

Inherited from default.defaultTextStyle

- Defined in src/ui/abstact-option-select-ui-handler.ts:56

### `Protected` fullCursor

fullCursor: number = 0

Inherited from default.fullCursor

- Defined in src/ui/abstact-option-select-ui-handler.ts:48

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` optionSelectBg

optionSelectBg: NineSlice

Inherited from default.optionSelectBg

- Defined in src/ui/abstact-option-select-ui-handler.ts:39

### `Protected` optionSelectContainer

optionSelectContainer: Container

Inherited from default.optionSelectContainer

- Defined in src/ui/abstact-option-select-ui-handler.ts:37

### `Protected` optionSelectIcons

optionSelectIcons: Sprite[]

Inherited from default.optionSelectIcons

- Defined in src/ui/abstact-option-select-ui-handler.ts:41

### `Protected` optionSelectText

optionSelectText: BBCodeText

Inherited from default.optionSelectText

- Defined in src/ui/abstact-option-select-ui-handler.ts:40

### `Protected` optionSelectTextContainer

optionSelectTextContainer: Container

Inherited from default.optionSelectTextContainer

- Defined in src/ui/abstact-option-select-ui-handler.ts:38

### `Protected` scale

scale: number = 0.1666666667

Inherited from default.scale

- Defined in src/ui/abstact-option-select-ui-handler.ts:50

### `Protected` scrollCursor

scrollCursor: number = 0

Inherited from default.scrollCursor

- Defined in src/ui/abstact-option-select-ui-handler.ts:47

### `Protected` textContent

textContent: string

Inherited from default.textContent

- Defined in src/ui/abstact-option-select-ui-handler.ts:57

### `Protected` unskippedIndices

unskippedIndices: number[] = []

Inherited from default.unskippedIndices

- Defined in src/ui/abstact-option-select-ui-handler.ts:54

### `Static` `Readonly` windowWidth

windowWidth: number = 48

- Defined in src/ui/confirm-ui-handler.ts:9

## Methods

### clear

- clear(): void

  #### Returns void

  Inherited from default.clear

  - Defined in src/ui/abstact-option-select-ui-handler.ts:421

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### eraseCursor

- eraseCursor(): void

  #### Returns void

  Inherited from default.eraseCursor

  - Defined in src/ui/abstact-option-select-ui-handler.ts:430

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getOptionsWithScroll

- getOptionsWithScroll(): OptionSelectItem []

  #### Returns OptionSelectItem []

  Inherited from default.getOptionsWithScroll

  - Defined in src/ui/abstact-option-select-ui-handler.ts:306

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### getUnskippedIndices

- getUnskippedIndices(options: OptionSelectItem []): number[]

  #### Parameters

  - options: OptionSelectItem []

  #### Returns number[]

  Inherited from default.getUnskippedIndices

  - Defined in src/ui/abstact-option-select-ui-handler.ts:349

### getWindowHeight

- getWindowHeight(): number

  #### Returns number

  Inherited from default.getWindowHeight

  - Defined in src/ui/abstact-option-select-ui-handler.ts:65

### getWindowWidth

- getWindowWidth(): number

  #### Returns number

  Overrides default.getWindowWidth

  - Defined in src/ui/confirm-ui-handler.ts:18

### processInput

- processInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/confirm-ui-handler.ts:115

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/confirm-ui-handler.ts:123

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): void

  #### Returns void

  Inherited from default.setup

  - Defined in src/ui/abstact-option-select-ui-handler.ts:69

### `Protected` setupOptions

- setupOptions(): void

  #### Returns void

  Inherited from default.setupOptions

  - Defined in src/ui/abstact-option-select-ui-handler.ts:92

### show

- show(args: any[]): boolean

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/confirm-ui-handler.ts:22

### unblockInput

- unblockInput(): void

  #### Returns void

  Inherited from default.unblockInput

  - Defined in src/ui/abstact-option-select-ui-handler.ts:296